import React from "react";
import { RouteComponentProps } from "react-router-dom";
import { RouteDefinition } from "../../interfaces/route-definition";
import { AuthenticatedRoute } from "../../interfaces/authenticated-route";
interface AuthenticatedRouteProps extends RouteComponentProps<any>, AuthenticatedRoute {
    route: RouteDefinition;
    render: (props: any) => any;
}
/**
 * Locks a route behind authentication. Can optionally redirect a user to another location if
 * attempting to access the route while unauthenticated.
 */
declare const AuthenticatedRoute: React.FC<AuthenticatedRouteProps>;
export { AuthenticatedRoute, AuthenticatedRouteProps };
