import { Dispatch, Reducer, ReducerAction, ReducerState } from "react";
/**
 * Create a stateful array value which is always sorted alphabetically.
 * @param initialValue the initial value of the array. Does not need to be sorted, the hook will sort it before setting the value.
 * @param sortBySelector a function which takes an array element, and returns a string property by which to sort alphabetically.
 */
declare function useSortedAlphabetically<T>(initialValue: Array<T>, sortBySelector: (value: T) => string): [ReducerState<Reducer<Array<T>, Array<T>>>, Dispatch<ReducerAction<Reducer<Array<T>, Array<T>>>>];
export { useSortedAlphabetically };
