import { RefObject } from "react";
/**
 * A custom hook for determining if elements overflow their containers.
 * Useful for when you have text-overflow: ellipsis; and you want to
 * detect whether the text is actually long enough to trigger the ellipsis
 * to appear.
 * @param ref
 */
export declare function useTextOverflow<T extends HTMLElement>(ref: RefObject<T>): boolean;
